# AIRailSignalData Struct Reference

Contains information about the trackdir that belongs to a track when entering from a specific direction. More...

## Data Fields
Track | track
| The track that will be taken to travel.
Trackdir | trackdir
| The Trackdir belonging to that track.
uint | signal_cycles
| How many times the signal should be cycled in order to build it in the correct direction.

## Detailed Description

Contains information about the trackdir that belongs to a track when entering from a specific direction.

Definition at line 374 of file ai_rail.cpp.

The documentation for this struct was generated from the following file:

- src/ai/api/ai_rail.cpp